> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getprimo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove a license from a SaaS

> Remove an existing license. `remoteId` is the entitlement ID returned by `getSaasById`. Only allowed when the SaaS license capability is set to MANUAL (i.e. a manually-provisioned SaaS). Returns 409 otherwise.

<span className="badge-write">Key: Write</span><span className="badge-company">Scope: Company</span>


## OpenAPI

````yaml https://api.getprimo.com/openapi.json delete /saas/{saasId}/licences/{remoteId}
openapi: 3.1.1
info:
  title: Public API - BETA
  description: Read docs on https://docs.getprimo.com/
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getprimo.com
security:
  - apikey: []
tags: []
paths:
  /saas/{saasId}/licences/{remoteId}:
    delete:
      tags:
        - Saas
      summary: Remove a license from a SaaS
      description: >-
        Remove an existing license. `remoteId` is the entitlement ID returned by
        `getSaasById`. Only allowed when the SaaS license capability is set to
        MANUAL (i.e. a manually-provisioned SaaS). Returns 409 otherwise.
      operationId: removeSaasLicence
      parameters:
        - name: saasId
          required: true
          in: path
          schema:
            type: string
        - name: remoteId
          required: true
          in: path
          schema:
            type: string
      responses:
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SaasEntitlementList_Output'
components:
  schemas:
    SaasEntitlementList_Output:
      type: object
      properties:
        entitlements:
          type: array
          description: >-
            Full list of entitlements of this type for the SaaS after the
            change.
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
            required:
              - id
              - name
            additionalProperties: false
      required:
        - entitlements
      additionalProperties: false
  securitySchemes:
    apikey:
      scheme: bearer
      bearerFormat: API key
      type: http
      description: >-
        Use your Primo API key in the Authorization header as `Bearer
        <API_KEY>`.

````